Page MenuHomePhabricator

test_valid_isbn_failing unexpectedly successes in AppVeyor
Closed, ResolvedPublic

Event Timeline

Dvorapa created this task.Dec 19 2019, 12:26 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptDec 19 2019, 12:26 PM
Xqt added a subscriber: Xqt.Jan 19 2020, 3:23 PM

This bug is a bit strange. First I assumed that a library was updated to give valid results but python-stdnum isn't installed for that test. But the default behaviour does not work for me. No glue where the difference comes from.

Xqt triaged this task as High priority.Jan 19 2020, 3:24 PM

Change 565784 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [bugfix] Remove isbn library of isbn.py in favour of stdnum

https://gerrit.wikimedia.org/r/565784

Perhaps this should be just rewritten to make it work as expected?

Xqt added a comment.EditedJan 20 2020, 5:38 AM

With several patches old code parts are to be removed. I guess these solves that problem and it is not necessary for a deeper investigation.

Another way would be to rewrite our own library as proposed with https://gerrit.wikimedia.org/r/#/c/209176/ but it was declined years ago.

Change 565784 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Remove isbn library of isbn.py in favour of stdnum

https://gerrit.wikimedia.org/r/565784

Xqt closed this task as Resolved.Feb 1 2020, 9:37 AM
Xqt claimed this task.